
Redmine - Feature #4886

Name of custom fields should be multilingual

2010-02-20 12:04 - Matthias Siegel

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We are using redmine in different languages and defined different custom fields. When defining a new custom field you have to

choose a name, which will be displayed later. It would be helpful, if the name of custom fields could be multilingual.

Related issues:

Related to Redmine - Feature #8058: Separation of content language from UI la... New 2011-04-04

Related to Redmine - Feature #3972: Translation for field values New 2009-10-05

Has duplicate Redmine - Feature #5523: Multi language custom field Closed 2010-05-13

History

#1 - 2010-02-20 12:42 - Jean-Philippe Lang

- Category set to Translations

#2 - 2010-11-29 20:36 - Jean-Philippe Lang

- Category changed from Translations to I18n

#3 - 2012-01-24 23:16 - Dieter Egert

More than this one needs to have translations on each issue tracker name, statuses and so on. All this is done already with the plugin 

http://ociotec.com/redmine/projects/show/localizable This is a great improvement on multi language usage of redmine.

#4 - 2013-02-18 11:16 - Artur M

Dieter Egert wrote:

More than this one needs to have translations on each issue tracker name, statuses and so on. All this is done already with the plugin 

http://ociotec.com/redmine/projects/show/localizable This is a great improvement on multi language usage of redmine.

 This is not updated anymore and not available for Redmine 2.*

#5 - 2013-05-15 22:31 - Gonzalo Villarreal

There seems to be a version (0.3.0) for redmine 2.* . However, I tried it on redmine 2.2.3 and it has some bugs (a very annoing one in the

configuration page). I think we will have to wait for a while...

#6 - 2013-07-31 12:35 - Olivier Houdas

See also Feature #5523

#7 - 2013-07-31 14:52 - Toshi MARUYAMA

- Related to Feature #5523: Multi language custom field added

#8 - 2014-11-13 02:06 - Toshi MARUYAMA

- Related to deleted (Feature #5523: Multi language custom field)

#9 - 2014-11-13 02:07 - Toshi MARUYAMA

- Has duplicate Feature #5523: Multi language custom field added

#10 - 2016-02-03 13:47 - Florian ROBERT

2025-05-02 1/2

http://ociotec.com/redmine/projects/show/localizable
http://ociotec.com/redmine/projects/show/localizable
https://www.redmine.org/issues/5523


+1

#11 - 2017-09-13 21:40 - Eva Encabo

+1 it's very important for us

#12 - 2017-09-22 08:34 - Andrzej Nowak

+1

#13 - 2020-08-11 16:09 - Kamil Nalewajko

+1

#14 - 2020-08-23 15:08 - Yuuki NARA

+1

This is a necessary feature when collaborating with people in other languages.

I want the function to overwrite the custom field display name in each language term file of Redmine core.

for example

en:

  cf_123:"customfield_123 display name" 

 
ja:

  cf_123:"customfield_123 Japanese(日本語)" 

 and I am proposing a function that can be changed from the Redmine web screen.

https://github.com/ishikawa999/redmine_message_customize/issues/2

If you can do this, each Redmine administrator can change the display of each language simply by operating on the Web management screen.
